/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package callrecording;

import java.awt.Desktop;
import java.io.IOException;
import java.io.InputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.net.URISyntaxException;
import java.net.URL;

/**
 *
 * @author user
 */
public class RecordingReceive {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException, URISyntaxException {
        try (ServerSocket listener = new ServerSocket(7787)) {
            while (true) {
                try (Socket socket = listener.accept()) {

                    String response = GetResponse(socket.getInputStream());

                    socket.close();

                    System.out.println("Record completed:");
                    String CallId = GetValue(response, "CallId");
                    String RecordURL = GetValue(response, "RecordURL");

                    RecordURL = RecordURL.replace("%3a", ":");
                    RecordURL = RecordURL.replace("%2f", "/");

                    System.out.println("CallId: " + CallId);
                    System.out.println("Link: " + RecordURL);
                    System.out.println("------------------------------------------------------------------------------------------");
                    System.out.println("");

                    Desktop.getDesktop().browse(new URL(RecordURL).toURI());
                }
            }
        }
    }

    private static String GetResponse(InputStream pInputStream) throws IOException {
        byte[] b = new byte[pInputStream.available()];
        pInputStream.read(b);

        return new String(b);
    }

    private static String GetValue(String pContent, String pInfoName) {
        String value;

        int beginIndex = pContent.indexOf(pInfoName);
        int endIndex = pContent.indexOf("&", beginIndex);

        value = pContent.substring(beginIndex, endIndex).split("=")[1];

        return value;
    }    
}
